Package com.google.android.exoplayer2.robolectric

## Class PlaybackOutput

- java.lang.Object
- - com.google.android.exoplayer2.robolectric.PlaybackOutput

- All Implemented Interfaces:
    `Dumper.Dumpable`

      public final class PlaybackOutput
      extends Object
      implements Dumper.Dumpable

  Class to capture output from a playback test.

  Implements `Dumper.Dumpable` so the output can be easily dumped to a string for comparison against previous test runs.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dump​(Dumper dumper)` | Dumps the fields of the object using the `dumper`.
    `static PlaybackOutput` | `register​(ExoPlayer player, CapturingRenderersFactory capturingRenderersFactory)` | Create an instance that captures the metadata and text output from `player` and the audio and video output via `capturingRenderersFactory`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### register

          public static PlaybackOutput register​(ExoPlayer player,
                                                CapturingRenderersFactory capturingRenderersFactory)

      Create an instance that captures the metadata and text output from `player` and the audio and video output via `capturingRenderersFactory`.

      Must be called before playback to ensure metadata and text output is captured correctly.

      Parameters:
        `player` - The `ExoPlayer` to capture metadata and text output from.
        `capturingRenderersFactory` - The `CapturingRenderersFactory` to capture audio and video output from.
      Returns:
        A new instance that can be used to dump the playback output.

    - #### dump

          public void dump​(Dumper dumper)

      Description copied from interface: `Dumper.Dumpable`
      Dumps the fields of the object using the `dumper`.
      Specified by:
        `dump` in interface `Dumper.Dumpable`
      Parameters:
        `dumper` - The `Dumper` to be used to dump fields.